tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From QM <qm...@brandxdev.net>
Subject Re: Apache 2.0.50+openssl 0.9.7d error on make
Date Thu, 22 Jul 2004 18:19:39 GMT
On Thu, Jul 22, 2004 at 01:06:09PM -0500, Pamela Stangl wrote:
: I'm trying to compile Apache 2.0.50 with openssl 0.9.7.d on AIX 5.1.  The
: ./configure  completes without an error but the make command ends in an
: error.   I am using the native aix  compiler
: [snip]
: "/web/ssl097d/include/openssl/kssl.h", line 72.10: 1506-296 (S) #include
: file <krb5.h> not found.

1/ What you've described sounds like a problem seen under certain Linux
distros when compiling anything OpenSSL-related: OpenSSL is built with
Kerberos libraries, but the Kerberos headers/libraries aren't visible to
your current compiler/linker.  They're either not installed, or in a
path the compiler and linker don't search by default.

A possible solution: set the following environment variables when you
build Apache:

	export INCLUDES="-I/path/to/kerberos/headers"
	export LIBS="-L/path/to/kerberos/libs -R/path/to/kerberos/libs"

(this syntax assumes you use Bourne shell/Korn shell/bash)


2/ This is a mailing list for Apache Tomcat, the servlet container.
Likely the Apache httpd list would be a more suitable forum for your
question.

-QM

-- 

software  -- http://www.brandxdev.net
tech news -- http://www.RoarNetworX.com


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message